org.apache.olingo.odata2.api.annotation.edm

## Annotation Type EdmFunctionImport

-     @Retention(value=RUNTIME)
       @Target(value=METHOD)
      public @interface EdmFunctionImport

  Annotation for definition of an method as an `EdmFunctionImport` call/endpoint.

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `EdmFunctionImport.ReturnType` | `returnType` Define the return type of this function import

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `EdmDocumentation` | `documentation` Defines additional documentation for this function import.
    `String` | `entitySet` Define the name for the according entity set of the function import.
    `EdmFunctionImport.HttpMethod` | `httpMethod` Define the http method for which this function import is used If not set the default http method `GET` is used.
    `String` | `name` Define the name for the function import.

- - ### Element Detail

    - #### returnType

          public abstract EdmFunctionImport.ReturnType returnType

      Define the return type of this function import
      Returns:
        return type of this function import

  - - #### name

          public abstract String name

      Define the name for the function import. If not set a default value has to be generated by the EDM provider.
      Returns:
        name for the function import
      Default:
        ""

  - - #### entitySet

          public abstract String entitySet

      Define the name for the according entity set of the function import. If not set a default value has to be generated by the EDM provider.
      Returns:
        name for the according entity set of the function import
      Default:
        ""

  - - #### httpMethod

          public abstract EdmFunctionImport.HttpMethod httpMethod

      Define the http method for which this function import is used If not set the default http method `GET` is used.
      Returns:
        http method for which this function import is used
      Default:
        org.apache.olingo.odata2.api.annotation.edm.EdmFunctionImport.HttpMethod.GET

  - - #### documentation

          public abstract EdmDocumentation documentation

      Defines additional documentation for this function import.
      Returns:
        additional documentation for this function import.
      Default:
        @org.apache.olingo.odata2.api.annotation.edm.EdmDocumentation

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.